<template>
  <div>
    <router-view />
  </div>
</template>

<script>
import { mapState, mapActions } from "pinia";

export default {
  name: "Layout",
  data() {
    return {
      username: "",
      password: ""
    };
  },
  methods: {
    // ...mapActions("jahat",['GET_PROBLEMS'])
  },
  computed: {
    ...mapState(["layoutConfig"]),
    getFooterDesc() {
      return this.layoutConfig("footer_desc");
    },
    footerDisplay() {
      return !!this.layoutConfig("footer.display");
    }
  },
  
  beforeMount() {
    // this.$store.dispatch(ADD_BODY_CLASSNAME, "page-loading");
    // HtmlClass.init(this.layoutConfig());
  },
  mounted() {
    // this.GET_PROBLEMS({vm:this});
  }
};
</script>
